Package com.salesforce.hyperdb.grpc

## Interface QueryResultSchemaOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `QueryResultSchema`, `QueryResultSchema.Builder`

    public interface QueryResultSchemaOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ColumnDescription` `getColumn​(int index)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`int` `getColumnCount()` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`List<ColumnDescription>` `getColumnList()` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`ColumnDescriptionOrBuilder` `getColumnOrBuilder​(int index)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`List<? extends ColumnDescriptionOrBuilder>` `getColumnOrBuilderList()` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getColumnList

    List<ColumnDescription> getColumnList()

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### getColumn

    ColumnDescription getColumn​(int index)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### getColumnCount

    int getColumnCount()

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### getColumnOrBuilderList

    List<? extends ColumnDescriptionOrBuilder> getColumnOrBuilderList()

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### getColumnOrBuilder

    ColumnDescriptionOrBuilder getColumnOrBuilder​(int index)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`